commit:     1dae7fd52807aa2aa8013d0a8d09d4830e359a42
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Jun  1 02:17:06 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Jun  1 02:36:54 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1dae7fd5

dev-python/cattrs: Bump to 25.1.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/cattrs/Manifest             |  1 +
 dev-python/cattrs/cattrs-25.1.0.ebuild | 80 ++++++++++++++++++++++++++++++++++
 2 files changed, 81 insertions(+)

diff --git a/dev-python/cattrs/Manifest b/dev-python/cattrs/Manifest
index 8fb4c993389b..9d5e9cbd926b 100644
--- a/dev-python/cattrs/Manifest
+++ b/dev-python/cattrs/Manifest
@@ -1 +1,2 @@
 DIST cattrs-24.1.3.gh.tar.gz 428852 BLAKE2B 
3c4e7842886229c56f29d6e98f0a19a374aaeacd97015b729cf8ebc677ffcb0fb7e51efd329200ead1fd1bec16e4f86b18effa17fac2511d008e8d34dfdfdd84
 SHA512 
1fe1de70c4ab8a5e4da7ab534833f22f02b23b01a14b68186185aa5af9b5260606e5f20365fe103901368602d4a9e3560733a85ec06f601227f1cab3c191b1e4
+DIST cattrs-25.1.0.gh.tar.gz 437261 BLAKE2B 
1f1041ffd217acd44070b1a7095003155b25db07e90f776ddd7907f8b35a0dcda50c7a8cc0c70ad459236a037ba61b95039842b0c02c982459dbb5c52eed138c
 SHA512 
bbe35beb33377fd7780bd27b98a7888a09bd05a0166536b3ffd5a179182345404b728c7392b1a075c886642eadb8b0a2d209ceedaa772c054dc37f003f11b23c

diff --git a/dev-python/cattrs/cattrs-25.1.0.ebuild 
b/dev-python/cattrs/cattrs-25.1.0.ebuild
new file mode 100644
index 000000000000..7de3f88bcf1b
--- /dev/null
+++ b/dev-python/cattrs/cattrs-25.1.0.ebuild
@@ -0,0 +1,80 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3_11 python3_{11..13} )
+
+inherit distutils-r1
+
+DESCRIPTION="Composable complex class support for attrs and dataclasses"
+HOMEPAGE="
+       https://pypi.org/project/cattrs/
+       https://github.com/python-attrs/cattrs/
+"
+SRC_URI="
+       https://github.com/python-attrs/cattrs/archive/v${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86"
+IUSE="test-rust"
+
+RDEPEND="
+       >=dev-python/attrs-24.3.0[${PYTHON_USEDEP}]
+       >=dev-python/typing-extensions-4.12.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       dev-python/hatch-vcs[${PYTHON_USEDEP}]
+       test? (
+               >=dev-python/cbor2-5.4.6[${PYTHON_USEDEP}]
+               >=dev-python/hypothesis-6.79.4[${PYTHON_USEDEP}]
+               >=dev-python/immutables-0.20[${PYTHON_USEDEP}]
+               >=dev-python/msgpack-1.0.5[${PYTHON_USEDEP}]
+               >=dev-python/pymongo-4.4.0[${PYTHON_USEDEP}]
+               >=dev-python/pyyaml-6.0[${PYTHON_USEDEP}]
+               >=dev-python/tomlkit-0.11.8[${PYTHON_USEDEP}]
+               >=dev-python/ujson-5.10.0[${PYTHON_USEDEP}]
+               test-rust? (
+                       $(python_gen_cond_dep '
+                               >=dev-python/orjson-3.10.7[${PYTHON_USEDEP}]
+                       ' 'python*')
+               )
+       )
+"
+
+# xdist can randomly break tests, depending on job count
+# https://bugs.gentoo.org/941429
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+python_test() {
+       local EPYTEST_IGNORE=(
+               # requires msgspec
+               tests/preconf/test_msgspec_cpython.py
+       )
+       local EPYTEST_DESELECT=(
+               # these require msgspec
+               tests/test_preconf.py::test_literal_dicts_msgspec
+               tests/test_preconf.py::test_msgspec_efficient_enum
+               tests/test_preconf.py::test_msgspec_json_converter
+               tests/test_preconf.py::test_msgspec_json_unions
+               
tests/test_preconf.py::test_msgspec_json_unstruct_collection_overrides
+               tests/test_preconf.py::test_msgspec_native_enums
+       )
+
+       if ! has_version "dev-python/orjson[${PYTHON_USEDEP}]"; then
+               EPYTEST_DESELECT+=(
+                       tests/test_preconf.py::test_orjson
+                       tests/test_preconf.py::test_orjson_converter
+                       
tests/test_preconf.py::test_orjson_converter_unstruct_collection_overrides
+               )
+       fi
+
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest -o addopts= tests
+}

Reply via email to